SCSI_DEVICE_QUIESCE(9)

NAME
scsi_device_quiesce - Block user issued commands.

SYNOPSIS

int scsi_device_quiesce(struct scsi_device * sdev);

ARGUMENTS

sdev
    scsi device to quiesce.

DESCRIPTION

This works by trying to transition to the SDEV_QUIESCE state (which must be a legal transition). When the device is in this state, only special requests will be accepted, all others will be deferred. Since special requests may also be requeued requests, a successful return doesn't guarantee the device will be totally quiescent.

Must be called with user context, may sleep.

Returns zero if unsuccessful or an error if not.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT